Subject: Re: [Softwires] I-D Action:draft-donnerhacke-softwire-ipv6-6to4-01.txt

From: Lutz Donnerhacke <[email-masked]>
Date: Fri, 28 May 2010 13:51:40 +0200

On Fri, May 28, 2010 at 10:29:17PM +1200, Brian E Carpenter wrote:
> >       6to4 prefixes more specific than 2002::/16 are allowed to be
> >       propagated in native IPv6 routing, as long as the more specific
> >       matchs exactly the mapped most aggregated IPv4 route originated by
> >       the same AS. 
> 
> This is a really, really bad idea, for the reason given in RFC3056:
> 
>       6to4 prefixes more specific than 2002::/16 must not be propagated
>       in native IPv6 routing, to prevent pollution of the IPv6 routing
>       table by elements of the IPv4 routing table.

Did you notice, that this particual paragraph in RFC3056 is to be changed
by this draft? The whole draft is about why this change is necessary and how
can it be done.

A proposed alternative is to hand out every ISP a separate /20-IPv6 block,
who want's to deploy more stable 6to4. So routing table size is clearly not
an issue: 6rd generate a lot of new long term routes while this draft
generates the same amount of (filterable) routes within a common prefix.

> That is a much more important issue than the fact that 6to4 doesn't work
> well for users whose ISPs haven't deployed a 6to4 relay (and
> announced 2002::/16 locally).

Please do not joke this way. If the ISP announces 2002::/16 and does not run
the approbriate service for, there is something terribly wrong.

> ISPs do need to pay attention to filtering rules for 2002::/16 announcements.

Of course. That's part of the draft.

---

From: Alain Durand <[email-masked]>
Date: Wed, 2 Jun 2010 05:27:20 -0700

+1

Do you really want to take the risk to import the full IPv4 routing table in IPv6 and multiply the memory size required in the RIB/FIB by 5?
6to4 is broken, the real fix is 6rd.

   - Alain.

On May 28, 2010, at 9:43 AM, Lee, Yiu wrote:

> I agree with Brian. If a SP wants to provide a managed 6to4 service, 6rd is
> the way to go. SPs shouldn't try to solve the broken 6to4 problem by
> injecting v4 information to the global v6 routing table.
> 
> Yiu
> 
> On 5/28/10 6:29 AM, "Brian E Carpenter" <[email-masked]> wrote:
> 
>> well for users whose ISPs haven't deployed a 6to4 relay (and announced
>> 2002::/16
>> locally). ISPs do need to pay attention to filtering rules for 2002::/16
>> announcements.
>> 
>>   Brian
>> _______________________________________________
>> Softwires mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/softwires
> <smime.p7s><ATT00001..txt>